package com.liangjian.dataplatform.member.entity.po.primary;

import com.liangjian.dataplatform.member.entity.po.BasicEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import java.util.Date;

/**
 * @Author: 黄子奇
 * @Date: 2019/9/24 14:23
 */
@Entity(name = "features_log")
@ApiModel("功能更新日志")
public class FeatureLog extends BasicEntity {
    @ApiModelProperty("功能的id")
    @Column(name="info_id")
    private String infoId;

    @ApiModelProperty("版本号")
    private String version;

    @ApiModelProperty("更新内容")
    @Column(name="update_desc")
    private String updateDesc;

    @ApiModelProperty("更新时间")
    @Column(name="update_date")
    private Date updateDate;

    @ApiModelProperty("操作人")
    private String operator;

    public String getInfoId() {
        return infoId;
    }

    public void setInfoId(String infoId) {
        this.infoId = infoId;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getUpdateDesc() {
        return updateDesc;
    }

    public void setUpdateDesc(String updateDesc) {
        this.updateDesc = updateDesc;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }
}
